#include <bits/stdc++.h>
using namespace std;
const int MAXN = 2e5+5;


void solve(){
	int n, k;
	cin >> n >> k;
	int x, br=1;
	for(int i = 0; i < n; ++i){
		cin >> x;
		if(x <= k) break;
		++br;
	}
	cout << (br>n ? -1 : br) << '\n';
}

int32_t main(){
	ios_base::sync_with_stdio(0); cin.tie(0);
	int qqq=1;
	//cin>>qqq;
	while(qqq--)solve();
	return 0;
}